export interface HelperPaginatorProps<T> {
    array: T[];
    take: number;
    offset?: number;
}
export declare type ArrayValue<T> = T[];
/**
 * Paginator helpers.
 */
export declare const paginator: <T>({ array, take, offset, }: HelperPaginatorProps<T>) => {
    getValues: () => ArrayValue<T>;
    getCurrentPage: () => number;
    next: () => ArrayValue<T>;
    previous: () => ArrayValue<T>;
    hasNext: () => boolean;
    hasPrevious: () => boolean;
    goTo: (page: number) => ArrayValue<T>;
    goFirst: () => ArrayValue<T>;
    goLast: () => ArrayValue<T>;
    getPageList: () => number[];
    getDividedPageList: (offset?: number) => number[][];
    getCurrentPageListRange: () => number[];
};
//# sourceMappingURL=paginator.d.ts.map